SDL_GetRenderLogicalPresentationRect(3)

NAME
SDL_GetRenderLogicalPresentationRect - Get the final presentation rectangle for rendering.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderLogicalPresentationRect(SDL_Renderer *renderer, SDL_FRect *rect);

DESCRIPTION
This function returns the calculated rectangle used for logical presentation, based on the presentation mode and output size. If logical presentation is disabled, it will fill the rectangle with the output size, in pixels.

Each render target has its own logical presentation state. This function gets the rectangle for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

rect
    a pointer filled in with the final presentation rectangle, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetRenderLogicalPresentation(3)